RTU_ARAM_MAIN
rtu_clean_agr_hcam
rtu_clean_agr_htab
rtu_clean_hcam
rtu_clean_hcam_entry
rtu_clean_htab
rtu_clean_htab_entry
rtu_clean_mfifo
rtu_clean_vlan
rtu_clean_vlan_entry
rtu_clear_irq
RTU_DEVNAME
rtu_disable
rtu_disable_irq
rtu_enable
rtu_enable_irq
rtu_exit
RTU_HCAM
rtu_init
rtu_learn_enable_on_port
rtu_mfifo_is_empty
rtu_mfifo_is_full
RTU_MFIFO_R0_DATA_SEL
RTU_MFIFO_R1_ADDR_MASK
rtu_pass_all_on_port
rtu_pass_bpdu_on_port
rtu_read_agr_hcam
rtu_read_agr_htab
rtu_read_hash_poly
rtu_read_hcam_entry
rtu_read_learning_queue
rtu_read_learning_queue_cnt
rtu_read_mfifo_cnt
rtu_set_active_bank
rtu_set_active_hcam_bank
rtu_set_active_htab_bank
rtu_set_fixed_prio_on_port
rtu_set_unrecognised_behaviour_on_port
rtu_ufifo_is_empty
rtu_unset_fixed_prio_on_port
RTU_VLAN_TAB
rtu_write_hash_poly
rtu_write_hcam_entry
rtu_write_htab_entry
rtu_write_vlan_entry

int rtu_learn_enable_on_port | ( | int | port,
|  | int | flag
| ) |  |

Sets the LEARN_EN flag on indicated port.

Parameters:

  port | port number (0 to 9)
  flag | 0 disables learning. Otherwise: enables learning porcess on this port.

Returns:
  error code.

All Classes Files Functions Variables Defines